Altibase.jdbc.driver.sharding.core

## Class DataNode

- java.lang.Object
- - Altibase.jdbc.driver.sharding.core.DataNode

All Implemented Interfaces:
  java.lang.Comparable<DataNode>

    public class DataNode
    extends java.lang.Object
    implements java.lang.Comparable<DataNode>

Shard DataNode를 나타내며 각 정보는 통신 프로토콜을 통해 받아온다.

### Constructor Summary

Constructors
Constructor and Description
`DataNode()`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `compareTo(DataNode aNode)`
`boolean` `equals(java.lang.Object aObject)`
`int` `getAlternativePortNo()`
`java.lang.String` `getAlternativeServerIp()`
`int` `getNodeId()`
`java.lang.String` `getNodeName()`
`int` `getPortNo()`
`java.lang.String` `getServerIp()`
`int` `hashCode()`
`void` `setAlternativePortNo(int aAlternativePortNo)`
`void` `setAlternativeServerIp(java.lang.String aAlternativeServerIp)`
`void` `setNodeId(int aNodeId)`
`void` `setNodeName(java.lang.String aNodeName)`
`void` `setPortNo(int aPortNo)`
`void` `setServerIp(java.lang.String aServerIp)`
`void` `setTouched(boolean aTouched)`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DataNode

    public DataNode()

### Method Detail

#### getNodeId

    public int getNodeId()

#### setNodeId

    public void setNodeId(int aNodeId)

#### getNodeName

    public java.lang.String getNodeName()

#### setNodeName

    public void setNodeName(java.lang.String aNodeName)

#### setServerIp

    public void setServerIp(java.lang.String aServerIp)

#### getServerIp

    public java.lang.String getServerIp()

#### setPortNo

    public void setPortNo(int aPortNo)

#### getPortNo

    public int getPortNo()

#### setAlternativeServerIp

    public void setAlternativeServerIp(java.lang.String aAlternativeServerIp)

#### getAlternativeServerIp

    public java.lang.String getAlternativeServerIp()

#### setAlternativePortNo

    public void setAlternativePortNo(int aAlternativePortNo)

#### getAlternativePortNo

    public int getAlternativePortNo()

#### setTouched

    public void setTouched(boolean aTouched)

#### equals

    public boolean equals(java.lang.Object aObject)

Overrides:
  `equals` in class `java.lang.Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`

#### compareTo

    public int compareTo(DataNode aNode)

Specified by:
  `compareTo` in interface `java.lang.Comparable<DataNode>`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`